cbuffer ConstantBuffer
{
	float ID;
	float3 offset;
}

Texture2D Texture;
SamplerState ss;

struct VOut
{
   float4 position : SV_POSITION;
   float4 color : COLOR;
   float2 texcoord : TEXCOORD;
};

VOut VShader(float4 position : POSITION, float2 texcoord : TEXCOORD)
{
    VOut output;

		output.position = position;
		output.position.xyz -= offset.xyz;
	
    output.color = 1;

	output.texcoord = texcoord;

    return output;
}


float4 PShader(float4 position : POSITION, float4 color : COLOR, float2 texcoord : TEXCOORD) : SV_TARGET
{
	//return color * Texture.Sample(ss, texcoord);
	float4 newColor = color * Texture.Sample(ss, texcoord);
	//newColor.a = 0.3f;
    return newColor;
}
